Bug 184319 - Spamassassin and SELinux
Spamassassin and SELinux
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: spamassassin (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-07 17:58 EST by Razvan Sandu
Modified: 2007-11-30 17:11 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-28 10:32:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Razvan Sandu 2006-03-07 17:58:38 EST
Description of problem:

As described in SpamAssassin's man page, the program must create user_prefs in
$HOME/.spamassassin, where $HOME is the homedirectory of the user spamassassin
is run under.

When spamc is invoked from Postfix's master.cf file (as described at 
http://wiki.apache.org/spamassassin/IntegratedSpamdInPostfix) and SELinux is
enabled, Spamassassin can't create user_prefs file in /home/someuser, even if
"someuser" was created on purpose.


Version-Release number of selected component (if applicable):

spamassassin-3.0.4-2.fc4
selinux-policy-targeted-1.27.1-2.22
postfix-2.2.2-2
(stock Fedora Core 4 + updates March 06, 2006)

How reproducible:
Always.

Steps to Reproduce:
1. Invoke Spamassassin as a filter, from Postfix, as described in
http://wiki.apache.org/spamassassin/IntegratedSpamdInPostfix, with SELinux
enabled. Postfix users should be virtual users.
  
Actual results:
The process can't write user_prefs under /home/someuser.

Expected results:
A predefined system user should be created when installing Spamassassin (by the
rpm), with an appropiate, FHS-compliant homedirectory, in order to provide a
place to create user_prefs, when Postfix users are virtual users and SELinux is
enabled.

Spamassassin docs should indicate the correct way to proceed/configure in such
cases.


Additional info:
Comment 1 Warren Togami 2006-03-07 18:04:40 EST
I believe this is fixed in FC5 now.  I don't know if we are able to backport
this for a FC4 update.
Comment 2 Warren Togami 2006-06-28 10:32:45 EDT
Sorry, we will not backport this to FC4.

Note You need to log in before you can comment on or make changes to this bug.